Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.fop.fonts.truetype
Enum OpenFont.PostScriptVersion

    java.lang.Object
      java.lang.Enum<OpenFont.PostScriptVersion>
          org.apache.fop.fonts.truetype.OpenFont.PostScriptVersion

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OpenFont.PostScriptVersion>

Enclosing class:
  OpenFont

    public static enum OpenFont.PostScriptVersion

extends java.lang.Enum<OpenFont.PostScriptVersion>

Version of the PostScript table (post) contained in this font.

Enum Constant Summary
`UNKNOWN` Unknown version of the PostScript table.
`V1` PostScript table version 1.0.
`V2` PostScript table version 2.0.
`V3` PostScript table version 3.0.

Method Summary
`static OpenFont.PostScriptVersion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OpenFont.PostScriptVersion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### V1

    public static final OpenFont.PostScriptVersion V1

  PostScript table version 1.0.

### V2

    public static final OpenFont.PostScriptVersion V2

  PostScript table version 2.0.

### V3

    public static final OpenFont.PostScriptVersion V3

  PostScript table version 3.0.

### UNKNOWN

    public static final OpenFont.PostScriptVersion UNKNOWN

  Unknown version of the PostScript table.

Method Detail

### values

    public static OpenFont.PostScriptVersion[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OpenFont.PostScriptVersion c : OpenFont.PostScriptVersion.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OpenFont.PostScriptVersion valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.